package com.yx.face.boot.test;


import lombok.extern.slf4j.Slf4j;


/**
 * @description: JunitTest <br>
 * @date: 2020/3/30 14:11 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 */
@Slf4j
public class JunitTest {

 /*   public static void main(String[] args) {
        String password = DigestUtils.md5DigestAsHex(Constants.SALT_PRE.concat("nqj##361").concat(Constants.SALT).getBytes());
        log.info(password);
        password = DigestUtils.md5DigestAsHex(Constants.SALT.getBytes());
        log.info(password);
        password = DigestUtils.md5DigestAsHex("nqj##361".getBytes());
        log.info(password);
    }*/


 /*   public static void main(String[] args) {
        String base64Image = "[encoded data, 17508 characters]";
        String path = "E:\\file\\picture\\photo323.jpg";
        FileUtils.transformBase64Image(base64Image, path);
    }*/

    /*  public static void main(String[] args) {
         String uri = FileUtils.getFileName("sss.png");
         log.info(uri);
      }*/
/*    public static void main(String[] args) {
        Date now = new Date();
        log.info("now {}",now);
        log.info("now week {}", DateUtils.getWeek(now));
    }*/


    /*public static void main(String[] args) {
        int num1 = -8, num2 = 100;
        //创建一个数值格式化对象
        java.text.NumberFormat numberformat = java.text.NumberFormat.getInstance();
        //设置精确到小数点后2位
        numberformat.setMaximumFractionDigits(2);
        String result1 = numberformat.format((float) num1 / (float) num2 * 100);
        System.out.println("num1和num2的百分比是：result1=" + result1 + "%");
        java.text.DecimalFormat df = new java.text.DecimalFormat("##.##%");//传入格式模板
        String result2 = df.format((float) num1 / (float) num2);
        System.out.println("num1和num2的百分比是：result2=" + result2);
    }*/


    /*    public static void main(String[] args) {
            Date date = DateUtils.getCurrentQuarterStartTime();
            log.info("year {}",date);
        }*/
/*    public static void main(String[] args) {
        String res = NumUtils.getPercentage(-4, 0);
        log.info(res);
    }*/

}
